.menu_overlay{
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.9);
  display: flex;
  flex-direction: row-reverse;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s, visibility 0.3s;
  z-index: 1000;
}
  
.overlay-content{
  transform: translate(-50%, -50%);
  position: fixed;
  top: 50%;
  left: 50%;
  margin: 0 auto;
  text-align: center;
  align-items: center;
  color: white;
}

.nav_menu{
  text-align: center;
  font-family: Arial;
  margin: 0;
  width: 200px;
}

.close_button{
  cursor: pointer;
  margin-top: 26px;
  margin-right: 26px;
  height: 21px;
  width: 20px;
}

.close_button #Vector, .close_button #Vector_2{
  transition: 0.5s ease-in-out;
}

.close_button:hover #Vector, .close_button:hover #Vector_2{
  stroke: #DEF800;
}

.navigation_nav{
  display: flex;
  flex-direction: column;
  gap: 45px;
}

.gotosocials_nav{
  justify-content: center;
  display: flex;
  gap: 20px;
  margin-top: 45px;
}

.nav_menu{
  cursor: pointer;
  transition: 0.3s ease-in-out;
}

.nav_menu:hover{
  scale: 1.1;    
}

.gotosocials_nav a{
  transition: 0.5s ease-in-out;
}

.gotosocials_nav a:hover{
  scale: 1.2;
}

.menu_overlay.active{
  opacity: 1;
  visibility: visible;
}

.menu_overlay.hidden{
  opacity: 0;
  visibility: hidden;
}